### Method

# GExiv2 Metadata from_app1_segment

#### Declaration [src]

    gboolean
    gexiv2_metadata_from_app1_segment (
      GExiv2Metadata* self,
      const guint8* data,
      glong n_data,
      GError** error
    )

#### Description [src]

Load only an EXIF buffer, typically stored in a JPEG’s APP1 segment.

#### Parameters

`data`

  Type: An array of `guint8`

  A buffer containing the data to be read.

  The length of the array is specified in the `n_data` argument.
  The data is owned by the caller of the method.

`n_data`

  Type: `glong`

  The length of the buffer.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success indicator.